/*
 *	File:					Prototypes.h
 *	Description:	Defines the prototypes for all the functions used in
 *								this packages.
 *
 *	(C) 1993-1994 Ketil Hunn
 *
 */

/* MAIN PROGRAM */
STRPTR __asm GetString(register __a0 struct LocaleInfo *li,
                       register __d0 LONG stringNum);
BOOL CheckConfirm(BOOL saved);
void PurgeEvents(Object *list);
void ConverterArgs(	short intype,  char source[FNSIZE],
										short outtype, char dest[FNSIZE]);
BOOL ExistsProg(char *prog);

/* GUI.h */
APTR SetupGUI(void);
void ShowMenu(BOOL on);
void CheckActive(Object *, APTR, APTR, APTR, APTR);
void ZeroDateTime(struct EventNode *node);
void CurrentDateTime(struct EventNode *node);
int  ShowDays(int month);
void SetWhenString(struct EventNode *node);
void ShowGadgets(void);
void UpdateData(struct EventNode *eventnode, BOOL updatetextlist);
void ShowBoolGadget(short active);

/* MUI_lists.h */
struct EventNode *AddEvent(Object *list, char *name);
struct Node *AddText(struct List *list, char *name, LONG pos);
void DeleteEvent(Object *list, LONG pos);
void DeleteText(struct List *list, LONG pos);
__inline ULONG Count(Object *list);
void Up(Object *);
void Down(Object *);
void Top(Object *);
void Bottom(Object *);
void FreeEventList(void);
void FreeTextList(struct List *list);
void UpdateTextList(Object *source, struct List *dest);
void SortByDate(Object *list);
struct EventNode *CopyEvent(Object *list);

/* IFFconfig.h */
BOOL ReadIFF(Object *list, char *file);
BOOL WriteIFF(Object *list, char *file);
